Write file contents
curl --request POST \
--url https://api.cyberdesk.io/v1/computer/{machine_id}/fs/write \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": "<string>",
"content": "<string>",
"mode": "write"
}
'import requests
url = "https://api.cyberdesk.io/v1/computer/{machine_id}/fs/write"
payload = {
"path": "<string>",
"content": "<string>",
"mode": "write"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({path: '<string>', content: '<string>', mode: 'write'})
};
fetch('https://api.cyberdesk.io/v1/computer/{machine_id}/fs/write', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}computer
Write file contents
Write file contents to the machine.
POST
/
v1
/
computer
/
{machine_id}
/
fs
/
write
Write file contents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key for idempotent requests. If provided, the server ensures the request is processed at most once. Retries with the same key return the original response. SDKs auto-generate this for write requests.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Path Parameters
Body
application/json
Response
Successful Response
The response is of type Response Fs Write V1 Computer Machine Id Fs Write Post · object.
Was this page helpful?
⌘I